<?xml version="1.0"?>
<ComicInfo xmlns:xsd="http://www.w3.org/2001/XMLSchema" xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance">
  <Series>Turok</Series>
  <Number>005</Number>
  <Web>https://www.comixology.com/Turok-2019-5/digital-comic/767676</Web>
  <Summary>All secrets are revealed as Turok faces the ultimate truth of the Lost Valley, and his place in it, when he is confronted by a seemingly endless array … of Turoks! Will the revelations be enough to return Turok and Andar to their home? Or will the brothers be forever marooned in a land of hungry dinosaurs? Writer Ron Marz and artist Roberto Castro continue to deliver prehistoric perfection!</Summary>
  <Notes>Scraped metadata from Comixology [CMXDB767676]</Notes>
  <Publisher>Dynamite Entertainment</Publisher>
  <Genre>Action/Adventure, Science Fiction, Superhero</Genre>
  <PageCount>24</PageCount>
  <LanguageISO>en</LanguageISO>
  <ScanInformation></ScanInformation>
</ComicInfo>
